Heat Vision plug-in

Heat Vision is a very simple plug-in that creates a visual effect which simulates infrared radiation. The plug-in generates a burst of rainbow colors that map themselves to the tonal values of the image. This creates the look of a Heat Vision display.

The full control list for Heat Vision plug-in.

Offset

Offset changes how the colors are mapped to the tonal ranges in the image. It basically takes a color gradient and shifts it one way or the other. (see below for details) Value range is -180 to 180. Default setting is in the center at 7.5.

At left, the original image. In middle, Heat Vision defaults with Offset at 7.5.

Left to right: Offset at -90, 100, 180.

Blend With Original

This is a percentage slider that will fade the Heat Vision results back into the original image. By default, this is set to 0 and turned off. Higher values make more of the underlying image show through. Setting a mid-range value can create some subtle and interesting effects.

Left to Right: Blend With Original at 0 (default), 30 and 60.

How Offset works

Not sure what we mean by saying that Offset shifts the gradient 'one way or the other'? The way Heat Vision maps your image to its color gradient is a little technical. It's not necessary to understand for most purposes, because you can simply scrub through the Offset values and find the look that fits your needs.

However, if you DO want to know how Offset works, here's the scoop:

Look at the Offset gradient as being circular. Every different color (or 'hue') is represented by a particular angle from 0 to 360 degrees. Red falls at 0/360 degrees (12:00 on a clock wheel). Yellow-green falls at 90 degrees (3:00). Cyan falls at 180 degrees (6:00). Purple falls at 270/-90 degrees (9:00) and then we're back to red.

Actually, the gradient is really a cylinder, not a circle. Given those initial colors, Heat Vision's mapping replaces each color by the color at offset degrees farther around the outside of the cylinder. The mapping moves clockwise for a positive Offset value (like 160), and counterclockwise for a negative Offset value (like -45).

So for an Offset value of 90, red is replaced by yellow-green, yellow-green is replaced by cyan, and so on. A 180 Offset means that it will replace each color with its complement directly across the wheel. Note that in this replacement, a color's saturation (pure color vs gray) and value/brightness (light vs dark) doesn't change. A dark red would be replaced by a dark cyan, a light purple by a light green, and so on.

Blur group

This group of controls sets the Blur style and properties used by the Heat Vision rotoscoping algorithm.

Blur Type pop-up

These three Blur methods let you choose the type of blending and smoothing that occurs among the line segments created by Heat Vision. Select between a Box Blur, Gaussian Blur or Supersmart Blur for the rotoscoping algorithm to use. Each Blur Type will unlock different Blur options, which are explained on this page.

Blur Type> Box Blur

Box Blur is selected by default. This option will generally give you the best final results. In this blurring technique, each pixel in the resulting image has a value equal to the average value of its neighboring pixels in the input image. A Box Blur can approximate a Gaussian Blur effect, but it uses a much simpler algorithm which is significantly faster.

Blur Type> Gaussian Blur

Gaussian Blur tends to soften the image. This blurring technique typically reduces image noise and reduces detail. The Gaussian formula produces concentric circles of distribution from a center point, with the original pixel's value receives the heaviest weight and neighboring pixels receive smaller weights as their distance from the original pixel increases. This results in a smooth blur that preserves boundaries and edges better than more uniform blurring options.

Blur Type> Supersmart Blur (NEW to v2.0)

Supersmart Blur creates a smarter, more detailed blur. This option will smooth and simplify an image or frames of a video while still maintaining high-contrast detail. The advantage of Supersmart is that it can be better at at removing unwanted noise and artifacts, while still leaving each frame relatively crisp and in focus.

Box Blur and Gaussian Blur are based on bilateral filtering, with some additional tweaks. Supersmart Blur is a smart blur that is based on a different principle. You will see less difference between the Box and Gaussian Blurs than you will in comparison to the Supersmart Blur.

Left to right: Default results for Box Blur, Gaussian Blur, Supersmart Blur. Box and Gaussian always have less difference than Supersmart.

Radius

This control is active for all three Blur Type options.

Radius defines the 'radius', or size of the area in an original video frame, whose pixel colors are blended together. This blend area sets the color of each pixel in a blurred video frame of the selected Blur Type.

The default is 4 and value range is 1 to 30. A higher Radius will smooth out the segment edges between the dark, midrange and highlight colors. The edges will become more rounded, especially if you have Thresh (Threshold) set higher than the default value. At a higher Radius, the image will be translated into fewer lines. A value of 0 will turn off the Blur Type.

Left to right: Radius 1, 15, 30. At a higher value, the colors blend more smoothly.

Thresh (Threshold)

This control is active when Box Blur or Gaussian Blur are chosen.

Threshold determines how similar or dissimilar colors will be affected by the blurring before being passed to the edge detection algorithm. Default is 20 and value range is 1 to 35. The higher this value is, the wider the range of colors that will be blurred together.

You can look at Thresh as being similar to the Tolerance value for Adobe Photoshop's Magic Wand selection tool. Only colors that are inside the Radius' area definition and within the Thresh/Tolerance of the color at the center of the blur will be blurred together.

Left to right: Thresh 1, 15, 35. At a higher value, there is more blend/blur between colors.

Quality pop-up

This control is active when Box Blur or Gaussian Blur are chosen.

The Quality menu lets you switch between a quick-and-dirty and a high-quality blur. The pop-up menu has two options, a Fast blur and High blur. Where you leave this option depends in part upon how fast your system is. The Fast setting renders more quickly but with less detail. The High setting takes longer to render but gives more definition to the edges. Leave Quality set to Fast when you need interaction to be relatively quick. Always set it to High before rendering the image for final output.

The Blur Quality value determines the amount of detail that is affected by any setting. The image edges won’t hold as true to the original image at a lower Fast Quality than at the High Quality setting. This control is disabled when the Supersmart option is chosen for Blur Type.

Note about Supersmart controls

You can look at Blurring, Test Radius and Blur Radius as three controls that work directly with each other when Supersmart Blur is chosen.

Imagine that Blur Radius creates a blurred image from the original source footage. Supersmart Blur wants to blend the original and blurred images together. To do this, Blurring and Test Radius work together to create something like an alpha channel for the Supersmart blending. Where the level of detail/contrast is high in the original image, more of that original shows up in the final blended result. Where the level of detail/contrast is low, less of the original image shows up in the result.

Blur Radius (NEW to v2.0)

This control is active when Supersmart Blur is chosen.

As mentioned above, Blur Radius essentially generates a blurred image from your original image. Values go from 1 to 30. The default is 10. At higher values, the blurred image that Supersmart Blur creates is... blurrier! This blurry image is then selectively blended with the original image to produce the output.

In our tests, Supersmart Blur gives the best results when Blur Radius is kept around twice Test Radius, but your mileage may vary. (see examples below in Test Radius)

Left to right: Blur Radius of 1, 10 (default) and 30. The higher the value, the more blurry the image is.

Blurring (NEW to v2.0)

This control is active when Supersmart Blur is chosen.

Blurring creates a defined amount of blurring on the image. Values go from 0 to 100. The default is 25% and this creates a slight blur.

At 0%, Blurring copies the original image to the output, so none of the image is blurred. At 100%, it copies the blurred image (that Blur Radius has made) to the output, so all of the image is blurred. At mid-range values like 50%, Supersmart Blur creates an intermediate blend of the original and blurred images.

Left to right: Blurring of 1, 50 and 100. The higher the value, the more blurring there is.

Test Radius (NEW to v2.0)

This control is active when Supersmart Blur is chosen.

Test Radius has a unique role. It tests or measures the contrast and level of detail in a defined area (or 'radius') of the original image. This lets Supersmart Blur figure out how much level of detail there is in each part of the source image so it can work its magic. Values go from 1 to 30. The default is 5. Higher values sample from a larger area (or radius) of the image.

At left, Test Radius of 1, Blur Radius of 5. In middle, Test Radius 20, Blur Radius 20. At right, Test Radius 20, Blur Radius of 30.
We think the results of Test Radius look best when Blur Radius is double its value.